0

I installed gnome ip messenger from terminal but using the following command in my Ubuntu 12.04 Unity desktop:

sudo apt-get install g2ipmsg

But it is giving the following error as already mentioned in e.g. "Can not setup lock file:/tmp/g2ipmsg.lock errno : -11 (Resource temporarily unavailable)"

FileName:ipmsg.c
Function:create_lock_file
Line:157
Can not setup lock file:/tmp/g2ipmsg.lock errno : -11 (Resource temporarily unavailable)

I already tried the linked suggestions and they are not working. By following them, the ipmsg is not even showing the error. Can anybody help me?

0
1

Install from PPA

sudo add-apt-repository ppa:fossfreedom/g2ipmsg
sudo apt-get update
sudo apt-get install g2ipmsg

to run g2ipmsg

  1. If you are using the Gnome-Classic interface, then G2ipmsg will be found in the Accessories menu option
  2. If you are using Gnome-Shell then search in Activities for g2ipmsg and the application will start minimized in the system-tray notification area (bottom right) of the screen. You will need to move you mouse to that area to make the application icon visible. My recommendation would be to use the system-tray extension to make the application icon visible at all times in the top-right of the screen. See my link answer below for more information about these areas and how to install the extension
  3. If you are using Unity/Unity 2D you will need to manually enable the system-tray area for the application to start in the top-right area of the screen next to the indicator area.

how to compile

  • Get the sources:
cd ~/Downloads
wget https://launchpad.net/ubuntu/+archive/primary/+files/g2ipmsg_0.9.6%2Bdfsg.orig.tar.gz
wget https://launchpad.net/ubuntu/+archive/primary/+files/g2ipmsg_0.9.6%2Bdfsg-1.1.diff.gz
  • Now install some prerequisites and libraries
sudo apt-get install build-essential devscripts cdbs debhelper autotools-dev libgnomeui-dev libgstreamer0.10-dev libxml-parser-perl libssl-dev
  • Then uncompress and patch the sources

 tar zxvf g2ipmsg_0.9.6+dfsg.orig.tar.gz
 gunzip g2ipmsg_0.9.6+dfsg-1.1.diff.gz
 patch -p0 < g2ipmsg_0.9.6+dfsg-1.1.diff
  • Compile to create deb packages
cd g2ipmsg-0.9.6+dfsg/
debuild -us -uc
  • Install the deb package
cd ..
sudo dpkg -i g2ipmsg_0.9.6+dfsg-1.1_i386.deb

Note - if you are compiling 64bit - then the package name will end in amd64.deb


0

Make sure that /tmp is mounted with rw permissions and check if the file g2ipmsg.lock file already in /tmp even when the program is not running if so delete it and create a new empty file with same name and give permission 777 to it then try again

Not the answer you're looking for? Browse other questions tagged or ask your own question.